# generated by cabal-rpm-0.13
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name pandoc-citeproc
%global pkgver %{pkg_name}-%{version}

# currently assumes datafile in system datadir
%bcond_with tests

Name:           %{pkg_name}
Version:        0.14.8.1
Release:        1%{?dist}
Summary:        Citeproc support for pandoc

# locales files are CC-by-SA
License:        BSD and CC-BY-SA
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  chrpath
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-aeson-pretty-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hs-bibutils-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-pandoc-devel
BuildRequires:  ghc-pandoc-types-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-rfc5051-devel
BuildRequires:  ghc-setenv-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-tagsoup-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-xml-conduit-devel
BuildRequires:  ghc-yaml-devel
%if %{with tests}
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-temporary-devel
%endif
# End cabal-rpm deps
Requires:       %{name}-common = %{version}-%{release}

%description
The pandoc-citeproc library exports functions for using the citeproc system
with pandoc. It relies on citeproc-hs, a library for rendering bibliographic
reference citations into a variety of styles using a macro language called
Citation Style Language (CSL). More details on CSL can be found here:
<http://citationstyles.org/>.

Currently this package includes a heavily revised copy of the citeproc-hs code.
When citeproc-hs is updated to be compatible, this package will simply depend
on citeproc-hs.

This package also contains an executable: pandoc-citeproc, which works as a
pandoc filter, and also has a mode for converting bibliographic databases a
YAML format suitable for inclusion in pandoc YAML metadata.


%package common
Summary:        Pandoc Citeproc data files
BuildArch:      noarch

%description common
This package contains the common data files used by pandoc-citeproc.


%package -n ghc-%{name}
Summary:        Haskell %{name} library
Requires:       %{name}-common = %{version}-%{release}

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Provides:       ghc-%{name}-static = %{version}-%{release}
Provides:       ghc-%{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       ghc-%{name}%{?_isa} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%prep
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install

rm %{buildroot}%{_datadir}/%{pkgver}/{README.md,changelog}
# End cabal-rpm install


%check
%cabal_test


%post -n ghc-%{name}-devel
%ghc_pkg_recache


%postun -n ghc-%{name}-devel
%ghc_pkg_recache


%files
# Begin cabal-rpm files:
%license LICENSE
%doc README.md changelog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%files common
%{_datadir}/%{pkgver}


%files -n ghc-%{name} -f ghc-%{name}.files
%license LICENSE


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%doc README.md changelog


%changelog
* Thu Feb 21 2019 Jens Petersen <petersen@redhat.com> - 0.14.8.1-1
- update to 0.14.8.1

* Sat Feb 16 2019 Jens Petersen <petersen@redhat.com> - 0.14.3.1-3
- rebuild for static executable
- add common subpackage

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jul 30 2018 Jens Petersen <petersen@redhat.com> - 0.14.3.1-1
- update to 0.14.3.1
- add CC-BY-SA license tag for locales template files

* Mon Jul 23 2018 Miro Hrončok <mhroncok@redhat.com> - 0.12.2.5-5
- Rebuilt for #1607054

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Mar 06 2018 Adam Williamson <awilliam@redhat.com> - 0.12.2.5-3
- Rebuild for ghc-conduit-extra bump

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Jens Petersen <petersen@redhat.com> - 0.12.2.5-1
- update to 0.12.2.5

* Mon Dec 11 2017 Jens Petersen <petersen@redhat.com> - 0.10.5.1-3
- rebuild

* Tue Dec  5 2017 Jens Petersen <petersen@redhat.com> - 0.10.5.1-2
- refresh to cabal-rpm-0.12

* Thu Sep 14 2017 Jens Petersen <petersen@redhat.com> - 0.10.5.1-1
- update to 0.10.5.1

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 23 2017 Jens Petersen <petersen@redhat.com> - 0.10.4.1-1
- update to 0.10.4.1

* Wed Feb 15 2017 Jens Petersen <petersen@redhat.com> - 0.10.1.1-4
- rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 07 2017 Adam Williamson <awilliam@redhat.com> - 0.10.1.1-2
- Rebuild for updated ghc/ghc-yaml/pandoc

* Wed Oct  5 2016 Jens Petersen <petersen@redhat.com> - 0.10.1.1-1
- update to 0.10.1.1

* Thu Sep  1 2016 Jens Petersen <petersen@redhat.com> - 0.10-3
- no longer need to remove license from docdir

* Wed Jul 27 2016 Jens Petersen <petersen@redhat.com> - 0.10-2
- rebuild

* Mon Jun 27 2016 Jens Petersen <petersen@redhat.com> - 0.10-1
- update to 0.10

* Sun May 01 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9-3
- Rebuild for cmark 0.25

* Tue Apr 26 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9-2
- Rebuild for ghc(tagsoup)

* Sat Mar 05 2016 Jens Petersen <petersen@redhat.com> - 0.9-1
- update to 0.9

* Thu Mar 03 2016 Adam Williamson <awilliam@redhat.com> - 0.7.4-3
- rebuild against updated tagsoup and rebuilt pandoc

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 24 2015 Jens Petersen <petersen@redhat.com> - 0.7.4-1
- update to 0.7.4
  https://github.com/jgm/pandoc-citeproc/releases?after=0.7.2
- xml-conduit replaces xml

* Fri Sep 18 2015 Jens Petersen <petersen@redhat.com> - 0.5-4
- use license macro

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar  4 2015 Jens Petersen <petersen@fedoraproject.org> - 0.5-2
- rebuild

* Mon Jan 26 2015 Jens Petersen <petersen@redhat.com> - 0.5-1
- update to 0.5

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri May  9 2014 Jens Petersen <petersen@redhat.com> - 0.3.1-1
- update to 0.3.1
- build with -O1 to avoid exhausting memory in koji

* Thu May  1 2014 Jens Petersen <petersen@redhat.com> - 0.3.0.1-1
- use xml instead of hexpat

* Wed Jan 22 2014 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.3.0.1
- spec file generated by cabal-rpm-0.8.8
